import { ExtensionEndpointHandler } from "../types";
/**
 * Set of helpers to faciliate working with _extensionName property
 * added on handlers added by extension's extendApiMethod hook.
 */
export declare const markExtensionNameHelpers: {
    /**
     * Decorates handler added or overwritten by extension's extendApiMethod hook
     * with information about source extension's name
     */
    mark(apiMethod: ExtensionEndpointHandler, extensionName: string): ExtensionEndpointHandler;
    /**
     * Marks a set of endpoints using `mark` method
     */
    markApi(api: Record<string, ExtensionEndpointHandler>, extensionName: string): {};
    /**
     * Checks if object is marked with extension's name
     */
    has(obj: object): obj is ExtensionEndpointHandler;
    /**
     * Gets extension's name from which handler comes
     *
     * @remarks Returns undefined if it's missing in the handler
     */
    get(obj: object): string;
};
//# sourceMappingURL=markExtensionNameHelpers.d.ts.map