import type { LogScope } from "../types";
type ErrorWithBoundary = Error & {
    errorBoundary: LogScope;
};
/**
 * @param fn Function to be wraped.
 * @param errorBoundaryProvider Factory function providing value of errorBoundary to be injected
 * @returns Decorated provided async function with catch block extending error with
 * "errorBoundary" property equal value derived from errorBoundaryProvider factory.
 */
export declare function wrapFnWithErrorBoundary(fn: Function, errorBoundaryProvider: (err: ErrorWithBoundary) => LogScope): (...args: any[]) => Promise<any>;
/**
 * @param fn Function to be wraped.
 * @param errorBoundaryProvider Factory function providing value of errorBoundary to be injected
 * @returns Decorated provided sync function with catch block extending error with
 * "errorBoundary" property equal value derived from errorBoundaryProvider factory.
 */
export declare function wrapFnWithErrorBoundarySync(fn: Function, errorBoundaryProvider: (err: ErrorWithBoundary) => LogScope): (...args: any[]) => any;
export {};
//# sourceMappingURL=wrapFnWithErrorBoundary.d.ts.map